Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 188092 - "Auto-run programs on new drives and media" doesn't work
Summary: "Auto-run programs on new drives and media" doesn't work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-volume-manager
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On: 188091
Blocks: FC7Target FC6Update
TreeView+ depends on / blocked
 
Reported: 2006-04-05 22:48 UTC by Christopher Aillon
Modified: 2013-03-06 03:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-17 19:01:24 UTC


Attachments (Terms of Use)

Description Christopher Aillon 2006-04-05 22:48:12 UTC
Description of problem:

System>Preferences>Removable Drives and Media

If you check "Auto-run programs on new drives and media", this doesn't actually
have any effect because gnome-mount mounts items with noexec.  We should figure
out a better solution here.

gnome-mount-0.4-5

Comment 1 David Zeuthen 2006-04-06 03:09:57 UTC
Yup, we should fix this.

See also my comments to bug 188091 which is blocking this one.


Comment 2 David Zeuthen 2006-09-28 23:33:29 UTC
Actually in Rawhide with gnome-mount 0.5 and hal 0.5.8.1 you can now do

 gnome-mount -d /dev/sda1 -oremount,exec

which g-v-m should do when wanting to run programs on some media. Reassigning to
g-v-m so we can fix this during FC7.

Comment 3 Matthias Clasen 2007-04-17 19:01:24 UTC
This is fixed in the current packages, according to David.


Note You need to log in before you can comment on or make changes to this bug.